#modname "Arralens Black Steel of Ulm"
#description "Black Steel armor for Ulmish troops. Either improved chain mail, cumbersome in battle, but easy on the march, or full plate armor, unbearable for more than some hours, but the only armor that actually can deflect hits."
#version 0.9
#domversion 2.14
#icon "arralensbsu0.9.tga"

-- Created by Stefan Weniger
--
-- Changes:
--
--   Master Smith has Fire-1, Earth-2, Elemental-1 now
--   Base Encumbrance is 3, MR is 16
--   Cost 175 gold
--
--   All Standard Inf is STR+1 (fits it's HP 12)
--
--   General MR is 11, which works out to 12.5
--   with the inevitable drain 3 ..
--   Knight Commanders are at 12.
--
--   The troops wear either "Full Chain of Ulm",
--   helmet and have strat move 2, or
--   "Full Plate of Ulm", Black Steel Helmet
--   and have strat move 1.
--
--   "Full Plate of Ulm": prot 17, def -2, enc 4
--   "Full Chain of Ulm": prot 15, def -3, enc 3
--
--   Crossbowmen prec 11
--
--   Black Knight gcost 50 rcost 60
--   Black Lord gcost 120 rcost 60
--
--   Unit descriptions redone, to give some hints
--   about advantageous usage.


#selectnation 4
#nothemes
#end

#selectarmor "Full Plate of Ulm"
#prot 17
#def -2
#enc 4
#end

#newarmor 399
#name "Full Chain of Ulm"
#type 5
#prot 15
#def -3
#enc 3
#end


--   Crossbowman
#selectmonster 417
#descr "The Crossbowmen of Ulm are of larger stock than ordinary humans and wear black steel plate cuirasses. Their heavy arbalests fire slowly, but are dangerous even to Ulms own knights or the big monsters other nations are fielding."
#armor "Helmet"
#armor "Black Steel Plate"
#prec 11
#mr 11
#end

--   Infantry of Ulm - Battleaxe
#selectmonster 67
#descr "The Infantry units of Ulm wear chain mail made from the black steel of Ulm. The Battleaxes they carry are said to be three times as dangerous as the spears other nations use, but sadly they are very costly. The Soldiers are the heaviest standard human units who keep pace with light troops on the march. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Helmet"
#armor "Full Chain of Ulm"
#mr 11
#mapmove 2
#end

--    Infantry of Ulm - Flail
#selectmonster 71
#descr "The Infantry units of Ulm wear chain mail made from the black steel of Ulm. Against poorly armored targets they use Flails, which hit the target twice per strike, but have trouble punching through armor. They are the heaviest standard human units who keep pace with light troops on the march. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Helmet"
#armor "Full Chain of Ulm"
#mr 11
#mapmove 2
#end

-- Infantry of Ulm - Hammer*
#selectmonster 73
#descr "The Infantry units of Ulm wear chain mail made from the black steel of Ulm. Those who carry the big tower shields form the front of the battle line, as they are mostly save from enemy missles. They are the heaviest standard human units who keep pace with light troops on the march. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Helmet"
#armor "Full Chain of Ulm"
#armor "Black Steel tower Shield"
#mr 11
#mapmove 2
#end

-- Infantry of Ulm - Maul
#selectmonster 75
#descr "The Infantry units of Ulm wear chain mail made from the black steel of Ulm. Their Mauls are as dangerous as their Battleaxes, much cheaper to manufacture but much less balanced too. The Soldiers are the heaviest standard human units who keep pace with light troops on the march. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Helmet"
#armor "Full Chain of Ulm"
#mr 11
#mapmove 2
#end

-- Infantry of Ulm - Morningstar*
#selectmonster 77
#descr "The Infantry units of Ulm wear chain mail made from the black steel of Ulm. Those who carry the big tower shields form the front of the battle line, as they are mostly save from enemy missles. Their morningstars allow them to circumvent enemies shields, but the unwieldy weapon makes them easier to hit. They are the heaviest standard human units who keep pace with light troops on the march. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Helmet"
#armor "Full Chain of Ulm"
#armor "Black Steel tower Shield"
#mr 11
#mapmove 2
#end

-- Pikeneer
#selectmonster 79
#description "The Pikeneers of Ulm wear chain mail made from the black steel of Ulm. Their long pikes are great to keep low-morale troops with shorter weapons from attacking. They are the heaviest standard human units who keep pace with light troops on the march. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Helmet"
#armor "Full Chain of Ulm"
#mr 11
#mapmove 2
#end


-- Black Plate Infantry - Battleaxe
#selectmonster 68
#descr "The Black Plate Infantry of Ulm are clad in full plate armor made from the black steel of Ulm, the only armor that can deflect blows and missiles. The Battleaxes they carry are said to be three times as dangerous as the spears other nations use, but sadly they are very costly. They are the heaviest standard human units in the world. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#mr 11
#end

-- Black Plate Infantry - Flail
#selectmonster 72
#descr "The Black Plate Infantry of Ulm are clad in full plate armor made from the black steel of Ulm, the only armor that can deflect blows and missiles. Against poorly armored targets they use Flails, which hit the target twice per strike, but have trouble punching through armor.  They are the heaviest standard human units in the world. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#mr 11
#end

-- Black Plate Infantry - Hammer*
#selectmonster 74
#descr "The Black Plate Infantry of Ulm are clad in full plate armor made from the black steel of Ulm, the only armor that can deflect blows and missiles. Those who carry the big tower shields make up the front line on the battlefield, as their protection is impervious to enemy missles. They are the heaviest standard human units in the world. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#armor "Black Steel tower Shield"
#mr 11
#end

-- Black Plate Infantry - Maul
#selectmonster 76
#descr "The Black Plate Infantry of Ulm are clad in full plate armor made from the black steel of Ulm, the only armor that can deflect blows and missiles. Their Mauls are as dangerous as their Battleaxes, much cheaper to manufacture but much less balanced too. They are the heaviest standard human units in the world. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#mr 11
#end

-- Black Plate Infantry - Morningstar*
#selectmonster 78
#descr "The Black Plate Infantry of Ulm are clad in full plate armor made from the black steel of Ulm, the only armor that can deflect blows and missiles. Those who carry the big tower shields make up the front line on the battlefield, as their protection is impervious to enemy missles. Their morningstars allow them to circumvent enemies shields, but the unwieldy weapon makes them easier to hit. They are the heaviest standard human units in the world. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#armor "Black Steel tower Shield"
#mr 11
#end

-- Black Plate Pikeneer
#selectmonster 80
#description "The Black Pikeneers of Ulm are clad in full plate armor made from the black steel of Ulm, the only armor that can deflect blows and missiles. Their long pikes are great to keep low-morale troops with shorter weapons from attacking. They are the heaviest standard human units in the world. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 11
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#mr 11
#end


-- Black Knight
#selectmonster 69
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#armor "Black Steel Kite Shield"
#mr 12
#gcost 50
#rcost 60
#end

-- Sapper
#selectmonster 749
#mr 11
#end

-- Guardian
#selectmonster 66
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#mr 11

#end

-- Commander of Ulm 1
#selectmonster 114
#description "The Commanders of Ulm wear the same black steel armor, heavy weapons and tower shields as their troops. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 12
#armor "Helmet"
#armor "Full Chain of Ulm"
#armor "Black Steel tower Shield"
#mr 11
#end

-- Commander of Ulm 2
#selectmonster 115
#description "The Commanders of Ulm wear the same black steel armor, heavy weapons and tower shields as their troops. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 12
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#armor "Black Steel tower Shield"
#mr 11
#end


-- Commander of Ulm 3
#selectmonster 116
#description "The Commanders of Ulm wear the same black steel armor, heavy weapons and tower shields as their troops. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 12
#armor "Helmet"
#armor "Full Chain of Ulm"
#armor "Black Steel tower Shield"
#mr 11
#end

-- Commander of Ulm 4
#selectmonster 117
#description "The Commanders of Ulm wear the same black steel armor, heavy weapons and tower shields as their troops. Soldiers of Ulm are large and strong willed enough to srug off some spell, despite lacking any experience with magic."
#str 12
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#armor "Black Steel tower Shield"
#mr 11
#end

-- Black Lord
#selectmonster 70
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#armor "Black Steel Kite Shield"
#mr 12
#gcost 120
#rcost 60
#end

-- Lord Guardian
#selectmonster 113
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#mr 12
#mapmove 2
#end

-- Master Smith
#selectmonster 325
#mr 16
#enc 3
#clearmagic
#magicskill 0 1
#magicskill 3 2
#magicskill 51 1
#gcost 175
#end

-- Barthulf the Hero
#selectmonster 377
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#armor "Black Steel Kite Shield"
#end

-- Raterik the Hero
#selectmonster 378
#armor "Black Steel Helmet"
#armor "Full Plate of Ulm"
#armor "Black Steel Kite Shield"
#end